# Create budget topup

Increase or decrease the available amount of a budget. Only permitted when has_member_limits is false for the budget.

Endpoint: POST /v1/businesses/{client_id}/budgets/{budget_id}/topups
Version: v1
Security: BearerAuth

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

  - `budget_id` (string, required)
    The ID of the budget.

## Request fields (application/json):

  - `amount` (number, required)
    Positive values increase the available amount, negative values decrease it.
    Example: 100

  - `description` (string, required)
    The description of the topup.
    Example: "Additional funds for travel"

  - `auto_approve` (boolean)
    By default, topups require approval before being added to the budget. Set this to true to automatically add the topup to the budget.
    Example: true

## Response 200 fields (application/json):

  - `id` (string)
    The ID of the topup.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `amount` (number)
    Positive values increase the available amount, negative values decrease it.
    Example: 100

  - `description` (string)
    The description of the topup.
    Example: "Additional funds for travel"

  - `status` (string)
    The status of the topup.
    Enum: "APPROVED", "CANCELLED", "DECLINED", "PENDING"

  - `requested_by` (object,null)
    The user who requested the topup.

  - `requested_by.id` (integer)
    The ID of the user.
    Example: 123

  - `requested_by.first_name` (string)
    The first name of the user.
    Example: "John"

  - `requested_by.last_name` (string)
    The last name of the user.
    Example: "Doe"

  - `requested_by.name` (string)
    The full name of the user or the display name if the user has set one.
    Example: "John Doe"

  - `actioned_by` (object,null)
    The user who actioned an approval or decline of the topup.

  - `actioned_on` (string)
    The date and time when the topup was actioned in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `created` (string)
    The date and time when the topup was created in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `updated` (string)
    The date and time when the topup was last updated in UTC.
    Example: "2024-01-01T00:00:00Z"

## Response 400 fields (application/json):

  - `non_field_errors` (array)
    Example: ["Cannot topup budget with member limits"]


## Response 401 fields

## Response 403 fields
